|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
public interface ServiceRequest
Represents the current service request.
| Field Summary | |
|---|---|
static String |
CLIENT_WINDOW_ID_PARAMETER
|
| Method Summary | |
|---|---|
String |
getClientWindowId()
|
String |
getMandatoryParameter(String name)
|
String |
getMandatoryParameter(String name,
List<String> validValues)
Gets the value of a request parameter while validating the value against a list of allowed values |
String[] |
getMandatoryParameterValues(String name,
List<String> validValues)
Gets an array of values for a request parameter while checking that the parameter is indeed provided on the request and validating each of the values against a list of allowed values. |
String |
getParameter(String name)
|
String |
getParameter(String name,
List<String> validValues)
|
Map<String,String[]> |
getParameterMap()
|
String[] |
getParameterValues(String name,
List<String> validValues)
|
String |
getQueryString()
|
javax.servlet.http.HttpServletRequest |
getRequest()
Wrapped current HTTP request |
StringBuffer |
getRequestURL()
|
javax.servlet.http.HttpSession |
getSession()
|
| Field Detail |
|---|
static final String CLIENT_WINDOW_ID_PARAMETER
| Method Detail |
|---|
javax.servlet.http.HttpServletRequest getRequest()
String getQueryString()
String getParameter(String name)
String getParameter(String name,
List<String> validValues)
throws StandardServiceException
StandardServiceException
String[] getParameterValues(String name,
List<String> validValues)
throws StandardServiceException
name - validValues -
StandardServiceException
String getMandatoryParameter(String name)
throws StandardServiceException
StandardServiceException
String getMandatoryParameter(String name,
List<String> validValues)
throws StandardServiceException
name - The name of the parametervalidValues - A list of valid parameter values
StandardServiceException - If the parameters value is not in the list of valid values
or if the parameter is not provided with the request
String[] getMandatoryParameterValues(String name,
List<String> validValues)
throws StandardServiceException
name - validValues -
StandardServiceException - If any of the values are not in the list of valid values or
if no parameter of that name is provided with the requestMap<String,String[]> getParameterMap()
javax.servlet.http.HttpSession getSession()
StringBuffer getRequestURL()
String getClientWindowId()
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||